* {
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

h1 {
    text-align: center;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 40px;
}

h2 {
    text-align: justify;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 26px;
}

h3 {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    text-align: center;
    margin-top: 3px;
}

section.container {
    width: 85%;
    margin: 0 auto;
}

.div1 {
    display: flex;
    justify-content: space-between;
    margin: 40px 0;
    flex-wrap: wrap;
}

.div2 {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    row-gap: 40px;
}

#definicao {
    border: 3px dashed #011638ff;
    padding: 5px 30px;
    border-radius: 1rem;
}

#qubit, #quantum {
    padding: 5px 30px;
    border: 3px dashed #011638ff;
    border-radius: 1rem;
}

.bloco {
    display: flex;
    flex-direction: column;
    width: 48%;
    row-gap: 30px;
}

img {
    max-height: 220px;
    max-width: 92%;
    margin-bottom: 15px;
    border: 1px solid black;
    border-radius: 1rem;
}

#sobreposicao, #emaranhamento, #interferencia, #entrelacamento, #evolucao {
    width: 48.5%;
    text-align: center;
    border: 3px dashed #011638ff;
    padding: 5px 30px;
    border-radius: 1rem;
}

.espacamento {
    margin-top: 20px;
    
}

#recursos p {
    font-size: 17px;
    text-align: center;
    text-indent: 0;
    margin-top: 45px;
}


body {
    margin: 0;
    margin-top: 110px;
    background-color: #FCF5E5;
}

p {
    text-indent: 3rem;
    text-align: justify;
    font-family: Georgia;
    line-height: 22px;
}

#logo {
    border: 0;
    margin: auto 10px;
    height: 60px;
    width: 60px;
}

div.logo {
    display: flex;
    align-items: center;
}

header {
    background-color: #011638ff;
}


nav {
    background-color: #011638ff;
    height: 80px;
    width: 100%;
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    align-items: center;
    position: fixed;
    top: 0;
    border-bottom: 1px solid #FCF5E5;
}

header ul {
    list-style: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-right: 10px;
}

header li a {
    text-decoration: none;
    font-family: Georgia;
    font-size: 15px;
    color: #FCF5E5;
    padding: 12.5px;
}

#titulo {
    text-indent: 0;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-weight: bold;
    color: #FCF5E5;
    font-size: 18px;
}

header li {
    display: flex;
    justify-content: center;
    cursor: pointer;
}


header li:hover, button:hover {
    background-color: rgb(19, 74, 255);
}

button {
    background-color: transparent;
    border-radius: 15px;
    border-color: #FCF5E5;
    font-size: 30px;
    padding: 2px 8px;
    color: #FCF5E5;
    cursor: pointer;
    position: absolute;
    right: 30px;
    top: 16px;
    display: none;
}

table {
    border-collapse: collapse;
    margin: auto;
    text-align: center;
    width: 80%;
}

#tabela_comparativa {
    margin-top: 60px;
    padding-top: 10px;
    padding-bottom: 20px;
    border: 3px dashed #011638ff;
    border-radius: 1rem;
}

#tabela_comparativa h2 {
    text-align: center;
    font-size: 28px;
}

th, tr, td {
    padding: 5px;
    border: 2px solid black;
    font-family: Georgia, 'Times New Roman', Times, serif
}

th {
    padding: 20px;
    font-size: 20px;
}

#banner {
    margin-top: 40px;
    width: 100%;
    height: 500px;
    background: url(imagens/banner.jpg);
    background-size: 100% 100%;
    background-position: center;
    text-align: center;
}

#botoes {
    display: flex;
    justify-content: center;
    column-gap: 30px;
}

.botao {
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 18px;
    font-weight: bold;
    width: 30%;
    text-align: center;
    padding: 15px;
    text-decoration: none;
    cursor: pointer;
    display: inline-block;
    margin-top: 250px;
    transition-duration: 0.4s;
    background-color: rgb(2, 120, 138);
    border-radius: 10px;
    border: 2px solid #FCF5E5;
    color: white;
}

.botao:hover {
    background-color: rgb(0, 191, 221);
}

p#chamada {
    display: inline-block;
    margin-top: 40px;
    color: #FCF5E5;
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 28px;
    text-align: center;
    line-height: 40px;
    width: 85%;
}

#comoingressar h2:before, #aplicacoes h2:before, #desafios h2:before, #matematica h2:before {
    content: "▶ ";
    letter-spacing: 4px;
}

:target {
    scroll-margin-top: 110px;
}

#depoimentos {
    display: flex;
    justify-content: space-between;
    column-gap: 34px;
}

#dep1, #dep2 {
    display: flex;
    align-items: center; 
    flex-wrap: wrap;
    text-indent: 0;
    width: 50%;
    padding: 10px 25px;
    border: 4px dotted #011638ff;
    border-radius: 20px;
}

#dep1 p, #dep2 p {
    font-size: 17.3px;
    font-style: italic;
    line-height: 25px;
    text-indent: 0;
}

#comoingressar ul, #aplicacoes ul, #desafios ol, #matematica ol {
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 16px;
    padding-left: 20px;
}

#matematica ol li {
    margin-bottom: 20px;
    font-size: 18px;
}

.espaco {
    margin-bottom: 15px;
}

#desafios h1 {
    margin-top: 40px;
}

.barra h1 {
    border-bottom: 2px solid black;
    padding: 20px 0;
}

.setores {
    padding-bottom: 20px;
}

@media (max-width: 910px) {
    iframe {
        height: auto;
        width: auto;
    }
    #botoes{
        column-gap: 15px;
    }
    .botao {
        width: 40%;
    }
    #depoimentos {
        flex-direction: column;
        row-gap: 30px;
    }
    #dep1, #dep2 {
        width: 100%;
    }
    #qubit, #quantum {
        width: 50%;
    }
    .bloco {
        width: 100%;
        column-gap: 30px;
        flex-direction: row;
        margin-bottom: 30px;
    }
    #sobreposicao, #emaranhamento, #interferencia, #entrelacamento, #evolucao {
        width: 100%;
    }

    header li {
        padding: 0px;
    }

    header li a {
        height: auto;
        padding: 12px;
        width: 100%;
        text-align: center;
    }
    p#chamada {
        font-size: 22px;
        line-height: 30px;
    }
    .logo {
        height: 80px;
        border-bottom: 1px solid #FCF5E5;
    }

    button {
        display: flex;
    }
    
    nav, header ul {
        flex-direction: column;
        align-items: stretch;
        height: auto;
        padding: 0px;
        margin: 0px;
    }
    
    header ul {
        max-height: 0;
        overflow: hidden;
        transition: max-height 0.5s ease; 
    }

    header ul.show {
        max-height: 300px;
    }
    
    header li{
        border-bottom: 1.5px #FCF5E5 solid;
    }

    #comoingressar h1 {
        margin: 40px 0;
    }
}

@media (max-width: 790px) {
    .bloco {
        flex-direction: column;
    }
    #qubit, #quantum {
        width: 100%
    }
    th {
        font-size: 18px;
    }
    tr, td {
        font-size: 15px;
    }
}

@media (max-width: 1200px){
    #saibamais{
        padding-top: 25px;
    }
}

@media (max-width: 560px) {
    .botao {
        width: 40%;
        padding: 14px;
        margin-top: 100px;
        font-size: 14.5px;
    }

    #banner {
        height: 350px;
    }
    
    #saibamais {
        padding: 15px 20px;
    }

    p#chamada {
        text-indent: 0;
        width: 90%;
        font-size: 20px;
        margin-top: 25px;
    }
    p {
        text-indent: 1.5rem;
        font-size: 14px;
    }
    .espacamento{
        margin-top: 10px;
    }

    #sobreposicao img {
        height: auto;
    }
    h1 {
        font-size: 28px;
    }
    h2 {
        font-size: 24px;
    }
    button {
        right: 15px;
    }
    
    #titulo {
        font-size: 1.05rem;
    }

    #tabela_comparativa h2 {
        text-align: center;
        font-size: 24px;
    }

    th {
        font-size: 10.5px;
    }

    tr,
    td {
        font-size: 10px;
    }

    #tabela_comparativa {
        margin-top: 20px;
        padding-bottom: 25px;
        border: none;
    }

    #recursos p {
        margin: 0 auto;
        width: 90%;
        font-size: 14px;
        margin-top: 25px;
    }
    #comoingressar h1 {
        font-size: 26px;
    }

    #comoingressar h2, #aplicacoes h2, #desafios h2, #matematica h2 {
        font-size: 20px;
    }

    #comoingressar ul, #aplicacoes ul, #desafios ol {
        font-size: 14px;
        text-align: justify;
    }

    #dep1 p, #dep2 p{
        font-size: 15px;
    }

    #dep1 h3, #dep2 h3 {
        font-size: 16px;
    }

    #aplicacoes ul, #desafios ol {
        line-height: 20px;
    }

    #protocolo {
        line-height: 30px;
    }

    #aplicacoes h2{
        margin-top: 30px;
    }

    #matematica h2 {
        font-size: 20px !important;
    }

    #comoingressar h1{
        margin-top: 0;
    }

    #matematica ol li {
        font-size: 14px;
        line-height: 20px;
        text-align: left;
    }

    :target {
        scroll-margin-top: 100px;
    }
    header li a {
        font-size: 14px;
    }
}
